# Topup a Card

### **Request** URI <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/issuing/card/recharge`

### **Request Body**

**Refer to** : [common](https://docs.pagsmile.com/issuing-card-api/common)

**Biz\_data :**

<table><thead><tr><th width="202.3984375">Name</th><th width="181.08203125">Type</th><th>Description</th></tr></thead><tbody><tr><td>pay_account_num<mark style="color:red;">*</mark></td><td>string(48)</td><td>Payer Account Number</td></tr><tr><td>card_token<mark style="color:red;">*</mark></td><td>string(20)</td><td>Card Token</td></tr><tr><td>order_no<mark style="color:red;">*</mark></td><td>string(32)</td><td>Order Number.Globally unique</td></tr><tr><td>amount<mark style="color:red;">*</mark></td><td>String</td><td>Topup amount.Refer to : <a href="../../data/trade-currency">unit</a></td></tr><tr><td>currency<mark style="color:red;">*</mark></td><td>string(3)</td><td>A 3-letter ISO currency code</td></tr><tr><td>reference</td><td>string(128)</td><td>Reference</td></tr></tbody></table>

### **Request** Example <a href="#example" id="example"></a>

```
{
    "app_id": "00000000000000000",
    "partner_id": "00000000000000000",
    "request_id": "E7E15DeE-B6d9-578B-6968-7dF7bB8c",
    "timestamp": "2025-04-07 13:56:52",
    "format": "JSON",
    "version": "2.0",
    "sign_type": "RSA",
    "biz_data": {
        "card_token": "450620141926",
        "order_no": "fE2E44c2-A4cF-C4Fc-40d6-Ee493262",
        "pay_account_num": "104190000004",
        "amount": "1.23",
        "currency": "USD",
        "reference": "remark"
    },
    "random_key": "<generated_key>"
}
// The biz_data in this example needs to be encrypted!
```

### Response <a href="#example" id="example"></a>

| Name            | Type   | Description    |
| --------------- | ------ | -------------- |
| transaction\_id | string | Transaction ID |

{% tabs %}
{% tab title="200:OK" %}

```
{
    "code": "10000",
    "msg": "Success",
    "total": 1,
    "random_key": "<random key used for decryption>",
    "sign_type": "RSA",
    "app_id": "00000000000000000",
    "data": {
        "transaction_id": "100000076795"
    }
}
// The data in this example has already been decrypted.
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/issuing-card-api/business/card/topup-a-card.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
